Create a checkpoint from a runtime
const url = 'https://api.runta.me/v2/runtimes/example/checkpoints';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"kind":"full","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.runta.me/v2/runtimes/example/checkpoints \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "kind": "full", "name": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Runtime UUID or display name.
Runtime UUID or display name.
Request Bodyrequired
Section titled “Request Bodyrequired”Checkpoint creation request.
Checkpoint creation request.
object
Checkpoint kind. Beta supports only full.
Human-readable checkpoint name.
Responses
Section titled “Responses”Response envelope.
Response envelope.
object
Checkpoint response object.
object
User-chosen display name.
Stable checkpoint UUID.
RFC3339 timestamp when the control-plane checkpoint row was created.
Checkpoint resource state.
object
Current resource allocation.
object
Current memory allocation in MiB.
Worker-observed overlay virtual capacity in GiB.
Resource limits.
object
Maximum memory in MiB.
Resource requests.
object
Requested baseline memory in MiB.
Requested virtual CPUs.
Target overlay virtual capacity in GiB.
Checkpoint lifecycle state.
Runtime that produced this checkpoint, or its retained name after deletion.
object
Stable runtime UUID. Null after the source runtime is deleted.
Runtime name captured when the checkpoint was created.
Example
{ "data": { "state": "creating" }}Missing, malformed, or rejected bearer token
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Validation or application error
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Operation is not implemented
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}default
Section titled “default”Error response
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}